import org.junit.jupiter.api.Test;
import static org.junit.jupiter.api.Assertions.*;

class MagicSquareGameTest{

	// Normal case: No error thrown if sound file exists
	@Test
	void PlaySoundNormal () {
		assertDoesNotThrow(() -> {
			MagicSquareGame.playSound("shuffling.wav");
		});
	}

	// Abnormal case: Even if sound file does not exist, fail silently
	@Test
	void PlaySoundAbnormal () {
		assertDoesNotThrow(() -> {
			MagicSquareGame.playSound("misc.wav");
		});
	}

	// Normal case: Screen is cleared with no issues (still need to check console output)
	@Test
	void ClearScreenNormal () {
		assertDoesNotThrow (() -> {
			MagicSquareGame.clearScreen();
		});
	}
	
}